#
# spec file for package perl-File-HomeDir (Version 0.65)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-File-HomeDir
Version:        0.65
Release:        1
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License, GNU General Public License (GPL)
URL:            http://search.cpan.org/~adamk/File-HomeDir
Summary:        Find your home and other directories, on any platform
Source:         File-HomeDir-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
File::HomeDir is a module for dealing with issues relating to the
location of directories that are "owned" by a user, primarily your
user, and to solve these issues consistently across a wide variety of
platforms.

Thus, a single API is presented that can find your resources on any
platform.



Authors:
--------
    Adam Kennedy <adamk@cpan.org>
    Sean M. Burke <sburke@cpan.org>
    Chris Nandor <cnandor@cpan.org>
    Stephen Steneker <stennie@cpan.org>

%prep
%setup -q -n File-HomeDir-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
make test
# ---------------------------------------------------------------------------

%install
    rm -rf $RPM_BUILD_ROOT
    make DESTDIR=$RPM_BUILD_ROOT install_vendor
    %perl_process_packlist

%files
%defattr(-,root,root,-)
%doc Changes MANIFEST README
%doc %{_mandir}/man?/*
%dir %{perl_vendorlib}/File
%{perl_vendorlib}/File/HomeDir.pm
%{perl_vendorlib}/File/HomeDir
%dir %{perl_vendorarch}/auto/File
%{perl_vendorarch}/auto/File/HomeDir
/var/adm/perl-modules/perl-File-HomeDir

%changelog
* Wed May 16 2007 - pth@suse.de
- Initial package.
